NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::AME::MountingInterfaceBuilder Class Reference

Builder class for creating mounting interface object in NXOpen::Part
To create a new instance of this class, use NXOpen::AME::AMEManager::CreateMountingInterfaceBuilder
Default values. More...

Inheritance diagram for NXOpen::AME::MountingInterfaceBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  FixingPolicy { FixingPolicyPoint, FixingPolicyFace }
 Represents component fixing type. More...
 
enum  InterfaceType { InterfaceTypeFixing, InterfaceTypeComponentReceptacle }
 Represents mounting interface type. More...
 
enum  ReceptaclePolicy { ReceptaclePolicyFixed, ReceptaclePolicyAxisMovement, ReceptaclePolicyPlaneMovement }
 Represents component receptacle type. More...
 

Public Member Functions

void AddInterface ()
 Adds a NXOpen::AME::MountingInterface object
Created in NX12.0.0. More...
 
NXOpen::DirectionDirectionOfInterface ()
 Returns the direction of interface
Created in NX12.0.0. More...
 
NXOpen::AME::MountingInterfaceBuilder::FixingPolicy FixingType ()
 Returns the NXOpen::AME::MountingInterfaceBuilder::FixingPolicy
Created in NX12.0.0. More...
 
NXOpen::AME::MountingInterfaceBuilder::InterfaceType MountingInterfaceType ()
 Returns the NXOpen::AME::MountingInterfaceBuilder::InterfaceType
Created in NX12.0.0. More...
 
NXString Name ()
 Returns the name
Created in NX12.0.0. More...
 
NXOpen::DirectionParallelReferenceObject ()
 Returns the parallel reference object
Created in NX11.0.0. More...
 
NXOpen::AME::MountingInterfaceBuilder::ReceptaclePolicy ReceptacleType ()
 Returns the NXOpen::AME::MountingInterfaceBuilder::ReceptaclePolicy
Created in NX12.0.0. More...
 
void RemoveInterfaces (const std::vector< NXString > &mountingInterfaces)
 Delete input NXOpen::AME::MountingInterface objects
Created in NX12.0.0. More...
 
void SetDefaultFixingInterface (const NXString &fixingName)
 Sets input NXOpen::AME::MountingInterface as default
Created in NX12.0.0. More...
 
void SetDefaultFixingInterface (const char *fixingName)
 Sets input NXOpen::AME::MountingInterface as default
Created in NX12.0.0. More...
 
void SetDirectionOfInterface (NXOpen::Direction *directionOfInterface)
 Sets the direction of interface
Created in NX11.0.0. More...
 
void SetFixingType (NXOpen::AME::MountingInterfaceBuilder::FixingPolicy type)
 Sets the NXOpen::AME::MountingInterfaceBuilder::FixingPolicy
Created in NX12.0.0. More...
 
void SetMountingInterfaceType (NXOpen::AME::MountingInterfaceBuilder::InterfaceType type)
 Sets the NXOpen::AME::MountingInterfaceBuilder::InterfaceType
Created in NX12.0.0. More...
 
void SetName (const NXString &name)
 Sets the name
Created in NX12.0.0. More...
 
void SetName (const char *name)
 Sets the name
Created in NX12.0.0. More...
 
void SetParallelReferenceObject (NXOpen::Direction *parallelReferenceObject)
 Sets the parallel reference object
Created in NX11.0.0. More...
 
void SetReceptacleType (NXOpen::AME::MountingInterfaceBuilder::ReceptaclePolicy receptacleType)
 Sets the NXOpen::AME::MountingInterfaceBuilder::ReceptaclePolicy
Created in NX12.0.0. More...
 
void SetSpecifyFace (NXOpen::ScCollector *collector)
 Sets the specify face
Created in NX12.0.0. More...
 
void SetSpecifyPoint (NXOpen::Point *specifyPoint)
 Sets the specify point
Created in NX12.0.0. More...
 
NXOpen::ScCollectorSpecifyFace ()
 Returns the specify face
Created in NX12.0.0. More...
 
NXOpen::SelectTaggedObjectSpecifyLine ()
 Returns the specify line
Created in NX12.0.0. More...
 
NXOpen::PointSpecifyPoint ()
 Returns the specify point
Created in NX12.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Builder class for creating mounting interface object in NXOpen::Part
To create a new instance of this class, use NXOpen::AME::AMEManager::CreateMountingInterfaceBuilder
Default values.

Property Value

FixingType

Point

MountingInterfaceType

Fixing

ReceptacleType

Fixed


Created in NX12.0.0.

Member Enumeration Documentation

Represents component fixing type.

Enumerator
FixingPolicyPoint 

point

FixingPolicyFace 

face

Represents mounting interface type.

Enumerator
InterfaceTypeFixing 

fixing

InterfaceTypeComponentReceptacle 

component receptacle

Represents component receptacle type.

Enumerator
ReceptaclePolicyFixed 

fixed

ReceptaclePolicyAxisMovement 

axis movement

ReceptaclePolicyPlaneMovement 

plane movement

Member Function Documentation

void NXOpen::AME::MountingInterfaceBuilder::AddInterface ( )

Adds a NXOpen::AME::MountingInterface object
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::Direction* NXOpen::AME::MountingInterfaceBuilder::DirectionOfInterface ( )

Returns the direction of interface
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::AME::MountingInterfaceBuilder::FixingPolicy NXOpen::AME::MountingInterfaceBuilder::FixingType ( )

Returns the NXOpen::AME::MountingInterfaceBuilder::FixingPolicy
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::AME::MountingInterfaceBuilder::InterfaceType NXOpen::AME::MountingInterfaceBuilder::MountingInterfaceType ( )

Returns the NXOpen::AME::MountingInterfaceBuilder::InterfaceType
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXString NXOpen::AME::MountingInterfaceBuilder::Name ( )

Returns the name
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::Direction* NXOpen::AME::MountingInterfaceBuilder::ParallelReferenceObject ( )

Returns the parallel reference object
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::AME::MountingInterfaceBuilder::ReceptaclePolicy NXOpen::AME::MountingInterfaceBuilder::ReceptacleType ( )

Returns the NXOpen::AME::MountingInterfaceBuilder::ReceptaclePolicy
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

void NXOpen::AME::MountingInterfaceBuilder::RemoveInterfaces ( const std::vector< NXString > &  mountingInterfaces)

Delete input NXOpen::AME::MountingInterface objects
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
mountingInterfacesmountinginterfaces
void NXOpen::AME::MountingInterfaceBuilder::SetDefaultFixingInterface ( const NXString fixingName)

Sets input NXOpen::AME::MountingInterface as default
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
fixingNamefixingname
void NXOpen::AME::MountingInterfaceBuilder::SetDefaultFixingInterface ( const char *  fixingName)

Sets input NXOpen::AME::MountingInterface as default
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
fixingNamefixingname
void NXOpen::AME::MountingInterfaceBuilder::SetDirectionOfInterface ( NXOpen::Direction directionOfInterface)

Sets the direction of interface
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
directionOfInterfacedirectionofinterface
void NXOpen::AME::MountingInterfaceBuilder::SetFixingType ( NXOpen::AME::MountingInterfaceBuilder::FixingPolicy  type)

Sets the NXOpen::AME::MountingInterfaceBuilder::FixingPolicy
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
typetype
void NXOpen::AME::MountingInterfaceBuilder::SetMountingInterfaceType ( NXOpen::AME::MountingInterfaceBuilder::InterfaceType  type)

Sets the NXOpen::AME::MountingInterfaceBuilder::InterfaceType
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
typetype
void NXOpen::AME::MountingInterfaceBuilder::SetName ( const NXString name)

Sets the name
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
namename
void NXOpen::AME::MountingInterfaceBuilder::SetName ( const char *  name)

Sets the name
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
namename
void NXOpen::AME::MountingInterfaceBuilder::SetParallelReferenceObject ( NXOpen::Direction parallelReferenceObject)

Sets the parallel reference object
Created in NX11.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
parallelReferenceObjectparallelreferenceobject
void NXOpen::AME::MountingInterfaceBuilder::SetReceptacleType ( NXOpen::AME::MountingInterfaceBuilder::ReceptaclePolicy  receptacleType)

Sets the NXOpen::AME::MountingInterfaceBuilder::ReceptaclePolicy
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
receptacleTypereceptacletype
void NXOpen::AME::MountingInterfaceBuilder::SetSpecifyFace ( NXOpen::ScCollector collector)

Sets the specify face
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
collectorcollector
void NXOpen::AME::MountingInterfaceBuilder::SetSpecifyPoint ( NXOpen::Point specifyPoint)

Sets the specify point
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

Parameters
specifyPointspecifypoint
NXOpen::ScCollector* NXOpen::AME::MountingInterfaceBuilder::SpecifyFace ( )

Returns the specify face
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::SelectTaggedObject* NXOpen::AME::MountingInterfaceBuilder::SpecifyLine ( )

Returns the specify line
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")

NXOpen::Point* NXOpen::AME::MountingInterfaceBuilder::SpecifyPoint ( )

Returns the specify point
Created in NX12.0.0.



License requirements : ad_automation_design ("FULL AUTOMATION DESIGNER")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.